TONTONDocs
TON CenterV2Accounts

applications/api/toncenter/v2/accounts/get-wallet-information

GET
/api/v2/getWalletInformation

Authorization

X-API-Key<token>

API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.

In: header

Query Parameters

address*string

The account address to query.

seqno?integer

Query state at a specific block height. If omitted, returns the current state. Use this to look up historical data at a specific point in time.

Formatint32

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/getWalletInformation?address=string"
{
  "ok": true,
  "result": {
    "@type": "ext.accounts.walletInformation",
    "wallet": true,
    "balance": "string",
    "account_state": "uninitialized",
    "last_transaction_id": {
      "@type": "internal.transactionId",
      "lt": "string",
      "hash": "string"
    },
    "wallet_type": "wallet v1 r1",
    "seqno": 0,
    "wallet_id": 0,
    "is_signature_allowed": true
  },
  "@extra": "string"
}
{
  "ok": false,
  "code": 401,
  "error": "API key does not exist"
}
{
  "ok": false,
  "code": 403,
  "error": "Network not allowed"
}
{
  "ok": false,
  "code": 422,
  "error": "empty address"
}
{
  "ok": false,
  "code": 429,
  "error": "Ratelimit exceeded"
}
{
  "ok": false,
  "code": 504,
  "error": "LITE_SERVER_NETWORK timeout"
}

Last updated on